# Generated by Django 4.1.6 on 2024-05-28 10:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Curator',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Имя')),
                ('phone', models.CharField(max_length=20, verbose_name='Телефон')),
            ],
            options={
                'verbose_name': 'Кураторы',
                'verbose_name_plural': 'Куратор',
            },
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('login', models.CharField(max_length=100, verbose_name='Имя')),
                ('password', models.CharField(max_length=300, verbose_name='Пароль')),
            ],
            options={
                'verbose_name': 'Пользователи',
                'verbose_name_plural': 'Пользователь',
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Название')),
                ('description', models.TextField(blank=True, max_length=1000, null=True, verbose_name='Описание')),
                ('image', models.ImageField(upload_to='event', verbose_name='Фото')),
            ],
            options={
                'verbose_name': 'Мероприятия',
                'verbose_name_plural': 'Мероприятие',
            },
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Название')),
                ('adress', models.CharField(max_length=300, verbose_name='Адрес')),
                ('price', models.DecimalField(decimal_places=2, default=0, max_digits=6, verbose_name='Цена')),
            ],
            options={
                'verbose_name': 'Места Проведения',
                'verbose_name_plural': 'Место Проведения',
            },
        ),
        migrations.CreateModel(
            name='Type',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Название')),
                ('price', models.DecimalField(decimal_places=2, default=0, max_digits=6, verbose_name='Цена')),
            ],
            options={
                'verbose_name': 'Типы',
                'verbose_name_plural': 'Тип',
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField()),
                ('curator_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='order_ids', to='events.curator', verbose_name='Куратор')),
                ('customer_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='order_ids', to='events.customer', verbose_name='Заказчик')),
                ('event_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='events.event', verbose_name='Мероприятие')),
            ],
            options={
                'verbose_name': 'Заказы',
                'verbose_name_plural': 'Заказ',
            },
        ),
        migrations.AddField(
            model_name='event',
            name='location_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='event_ids', to='events.location', verbose_name='локация'),
        ),
        migrations.AddField(
            model_name='event',
            name='type_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='event_ids', to='events.type', verbose_name='Тип'),
        ),
    ]
